--
-- Spezialization um Hilfe ein- bzw. ausblenden zu knnen
--

TW35 = {};

function TW35.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function TW35:load(xmlFile)
	self.TW35 = false;
end;

function TW35:delete()
end;

function TW35:mouseEvent(posX, posY, isDown, isUp, button)
end;

function TW35:keyEvent(unicode, sym, modifier, isDown)
end;

function TW35:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TW35) then
			self.TW35 = not self.TW35;
		end;
	end;
end;

function TW35:updateTick(dt)
end;

function TW35:draw()
	if not self.TW35 then
		renderText(0.82, 0.29, 0.02, "Num 0: Info einblenden");
	else
		renderText(0.82, 0.29, 0.02, "Num 0:  Info");
		
		renderText(0.78, 0.44, 0.02, "Taste KP_4: Fronthydraulik");
		renderText(0.78, 0.42, 0.02, "Taste KP_5: Gewicht vorne");
    		renderText(0.78, 0.40, 0.02, "Taste 6: Arbeitslicht hinten");
		renderText(0.78, 0.38, 0.02, "Taste 5: Arbeitslicht vorne");		
    		renderText(0.78, 0.36, 0.02, "Taste KP_3: Blink rechts");		
    		renderText(0.78, 0.34, 0.02, "Taste KP_2: Warnblinker");		
		renderText(0.78, 0.32, 0.02, "Taste KP_1: Blink links");
				
	end;
end;

function TW35:onLeave()
	self.TW35 = false;
end;




